<?php

if (!class_exists("plug_mail")) {
	class plug_mail {
		function __construct($ns) {
			$this->title = __("mail", "dagsopt");
			$this->pluginname = $ns->pluginname;
			$this->file = $ns->file;
			$this->ns = $ns;
		}
		function start() {
			$this->logfile = fopen(ABSPATH . "/wp-content/uploads/maillog.log", 'a');

			add_filter('wp_mail', array(&$this, 'mail_logger'), 10, 1);

		}

		function mail_logger($args) {

			$str = date("Y-m-d");
			$str .= " | " . date("H:i:s");
			$str .= " | " . $args['to'];
			$str .= " | " . $args['subject'];

			fwrite($this->logfile, $str . "\n");

			return $args;
		}

		function help() {
			?>
				<?php echo (__("Adds mail functions", "dagsopt")) ?>
 			<?php
}

		function Option($pre) {
			update_option($pre . '_support_splash', $_POST[$pre . '_support_splash']);

		}

		function admin_line($pre) {
			?>

		 <hr>





		  <?php echo (__("mail splash html register:", "dagsopt")) ?><br><textarea style="width: 100%; height: 150px;" name="<?php echo ($pre . '_support_splash'); ?>"><?php echo (stripslashes(get_option($pre . "_support_splash"))); ?></textarea>





		  <?php
}

	}

	global $plug_mail;
	$plug_mail = new plug_mail($this);
	$this->dagsopt['plug_mail'] = $plug_mail;

}
